#include <iostream>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    bool binarno=true;
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i]; if(a[i]!=1&&a[i]!=0)binarno=false;
    }
    if(!binarno)
    {

        for(int j=0;j<k;j++)
        {
            bool pom=false;
            for(int i=0;i<n-1;i++)
            {
                if(a[i]>a[i+1])pom=true;
                if(pom)a[i]=a[i+1];
            }
            n--;
        }
            for(int i=0;i<n-1;i++)
        {
            cout<<a[i];
        }
        cout<<a[n-1]<<" ";
    }
    else
    {
        int br=0;
        for(int i=0;i<n;i++)
        {
            if(a[i]==1)br++;
        }
        if(br>=k)
        {
            for(int i=0;i<n;i++)
            {
                if(k>0&&a[i]==1)k--;
                else cout<<a[i]<<" ";
            }
        }
        else
        {
            n-=k;
            for(int i=0;i<n-1;i++)
            {
               cout<<0<<" ";
            }
            count<<0;
        }
    }
    return 0;
}